org.apache.olingo.odata2.client.core.ep.deserializer

## Class XmlPropertyDeserializer

- java.lang.Object
- - org.apache.olingo.odata2.client.core.ep.deserializer.XmlPropertyDeserializer

-     public class XmlPropertyDeserializer
      extends Object

  XML property consumer.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `FALSE`
    `protected static String` | `TRUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmlPropertyDeserializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Object>` | `readCollection(XMLStreamReader reader, org.apache.olingo.odata2.core.ep.aggregator.EntityPropertyInfo info, DeserializerProperties properties)` Deserializes a collection of entities
    `Map<String,Object>` | `readProperty(XMLStreamReader reader, EdmProperty property, DeserializerProperties readProperties)` Read property of every entry in a payload
    `Map<String,Object>` | `readProperty(XMLStreamReader reader, org.apache.olingo.odata2.core.ep.aggregator.EntityPropertyInfo propertyInfo, DeserializerProperties readProperties)` Read property of every entry in a payload
    `protected Object` | `readStartedElement(XMLStreamReader reader, String name, org.apache.olingo.odata2.core.ep.aggregator.EntityPropertyInfo propertyInfo, org.apache.olingo.odata2.core.ep.aggregator.EntityTypeMapping typeMappings, DeserializerProperties readProperties)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TRUE

          protected static final String TRUE

      See Also:
        Constant Field Values

    - #### FALSE

          protected static final String FALSE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### XmlPropertyDeserializer

          public XmlPropertyDeserializer()

  - ### Method Detail

    - #### readProperty

          public Map<String,Object> readProperty(XMLStreamReader reader,
                                                 EdmProperty property,
                                                 DeserializerProperties readProperties)
                                          throws EntityProviderException

      Read property of every entry in a payload
      Parameters:
        `reader` -
        `property` -
        `readProperties` -
      Returns:
        Map
      Throws:
        `EntityProviderException`

    - #### readProperty

          public Map<String,Object> readProperty(XMLStreamReader reader,
                                                 org.apache.olingo.odata2.core.ep.aggregator.EntityPropertyInfo propertyInfo,
                                                 DeserializerProperties readProperties)
                                          throws EntityProviderException

      Read property of every entry in a payload
      Parameters:
        `reader` -
        `propertyInfo` -
        `readProperties` -
      Returns:
        Map
      Throws:
        `EntityProviderException`

    - #### readCollection

          public List<Object> readCollection(XMLStreamReader reader,
                                             org.apache.olingo.odata2.core.ep.aggregator.EntityPropertyInfo info,
                                             DeserializerProperties properties)
                                      throws EntityProviderException

      Deserializes a collection of entities
      Parameters:
        `reader` -
        `info` -
        `properties` -
      Returns:
        List
      Throws:
        `EntityProviderException`

    - #### readStartedElement

          protected Object readStartedElement(XMLStreamReader reader,
                                              String name,
                                              org.apache.olingo.odata2.core.ep.aggregator.EntityPropertyInfo propertyInfo,
                                              org.apache.olingo.odata2.core.ep.aggregator.EntityTypeMapping typeMappings,
                                              DeserializerProperties readProperties)
                                       throws EntityProviderException,
                                              EdmException

      Throws:
        `EntityProviderException`
        `EdmException`

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.